Package com.avaya.clientservices.client

## Interface ClientListener

-     public interface ClientListener

  Listener for events from a `Client`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onClientShutdown​(Client client)` | Called when the client has shut down.
    `void` | `onClientUserCreated​(Client client, User user)` | Notifies the listener that the specified user has been created.
    `void` | `onClientUserRemoved​(Client client, User user)` | Notifies the listener that the specified user has been removed.
    `void` | `onIdentityCertificateEnrollmentFailed​(Client client, int errorCode, java.lang.String errorType, java.lang.String message)` | Notifies the listener that the SCEP conection/enrollment failed.

- - ### Method Detail

    - #### onClientShutdown

          void onClientShutdown​(Client client)

      Called when the client has shut down.

      At this point the client is idle and all references to it can be removed.

      Parameters:
        `client` - The client that has been shut down.

    - #### onClientUserCreated

          void onClientUserCreated​(Client client,
                                   User user)

      Notifies the listener that the specified user has been created.
      Parameters:
        `client` - The client from which the event came from.
        `user` - The created User.

    - #### onClientUserRemoved

          void onClientUserRemoved​(Client client,
                                   User user)

      Notifies the listener that the specified user has been removed.
      Parameters:
        `client` - The client from which the event came from.
        `user` - The removed User.

    - #### onIdentityCertificateEnrollmentFailed

          void onIdentityCertificateEnrollmentFailed​(Client client,
                                                     int errorCode,
                                                     java.lang.String errorType,
                                                     java.lang.String message)

      Notifies the listener that the SCEP conection/enrollment failed.
      Parameters:
        `client` - The client from which the event came from.
        `errorCode` - The error code.
        `errorType` - The type of error.
        `message` - The error description.